proc readDCVfile {} {

    global dcvFile dcvFileName dcvFileNr dcvFileMax

    set dcvFileList [glob {v*.dcv}]

    set i -1
    foreach file $dcvFileList {
        incr i
        set dcvFileName($i) $file
        puts $dcvFileName($i)
   }
   set dcvFileMax $i
   set dcvFile $dcvFileName(0)
   set dcvFileNr 0
}
############################################
proc loadDCVfile {i} {

      global dcvFile dcvFileName dcvFileNr dcvFileMax

    global GetrParaDir
    global al1 al2 al3 al4 alkx alky phi1 kbf alz1 alz2 alzx alzy kbz dateiNamePostfix
    global al1ue al2ue al3ue al4ue xSb ySb xUe yUe cl1 cl3
    global dphi
    global dphi_df
    global showRast
    global showGang
    global showSelbst
    global showUeber
    global showKoppelk
    global showKSwBg
    global showFeld
    global showPunktMove
    global fillGang
    global zweiLagen
    global noMomentanPol
    global zweiLagenKoppel
    global eineLage zweiSchlag
    global showSchnabel showZsR showThales
    global al1Snabel al2Snabel al3Snabel al4Snabel
    global showZweiSchlagHodograph showZweischlagWinkelDifferenz
    global massstab xMoveto yMoveto 0x 0y wc
    global last_massstab last_xMoveto last_yMoveto last_0x last_0y
    global yZoomPos1 xZoomPos1 yZoomPos2 xZoomPos2 xneu yneu xregion_ yregion_


      if {$i == 1} then {
          incr dcvFileNr
      } elseif {$i == -1} then {
          incr dcvFileNr -1
      }     
      if {$dcvFileNr < 0} then {
          set dcvFileNr 0
      } elseif {$dcvFileNr > $dcvFileMax} then {
          set dcvFileNr $dcvFileMax
      }
      set dcvFile $dcvFileName($dcvFileNr)

      TStopGetriebe
      source $dcvFile
      VChangeGetrLaengen
      VStatus
      VBind
}
############################################
proc showDCVfile {w} {

    global dcvFile dcvFileName dcvFileNr 

    destroy $w.dcv
    frame $w.dcv 
    pack $w.dcv -fill x -in $w -side bottom -anchor s
    label $w.dcv.l -textvariable dcvFile
    label $w.dcv.l2 -text ""
    pack $w.dcv.l $w.dcv.l2 -in $w.dcv
    bind $w.dcv.l <ButtonPress-1> {loadDCVfile -1}
    bind $w.dcv.l <ButtonPress-2> {loadDCVfile 0}
    bind $w.dcv.l <ButtonPress-3> {loadDCVfile 1}
}
readDCVfile