proc kue {x1_ y1_ x2_ y2_ lges_a is1 is2 ivorz} {

    upvar $x1_ x1
    upvar $y1_ y1
    upvar $x2_ x2
    upvar $y2_ y2

    set eps 0.00001
    set eps 0.000000001
    #set eps 0.001


    set kvertauscht 0
    set lges_k 0
    set ianz 1

    erm_weg $lges_a x1 y1 weg_a

    set is1 [expr $is1+$lges_a*$ianz-$ianz]
    set is2 [expr $is2+$lges_a*$ianz-$ianz]

    #do i=1,ianz*2
    for {set i 1} {$i <= [expr $ianz*2]} {incr i} {
        #do j=1,lges_a
        for {set j 1} {$j <= $lges_a} {incr j} {
            set weg_a([expr $j+$i*($lges_a-1)]) [expr $weg_a($j)+double($i)*$weg_a($lges_a)]
            set x1([expr $j+$i*($lges_a-1)]) $x1($j)
            set y1([expr $j+$i*($lges_a-1)]) $y1($j)
            set x2([expr $j+$i*($lges_a-1)]) $x2($j)
            set y2([expr $j+$i*($lges_a-1)]) $y2($j)
        }
    }

    set lges_a_ur $lges_a
    set lges_a [expr (2*$ianz+1)*($lges_a-1)+1]

    set weg_a($lges_a) [expr double($ianz+2)*$weg_a($lges_a_ur)]
    set x1($lges_a) $x1($lges_a_ur)
    set y1($lges_a) $y1($lges_a_ur)
    set x2($lges_a) $x2($lges_a_ur)
    set y2($lges_a) $y2($lges_a_ur)

    cubicp  $lges_a weg_a x1 ya2
    koeff $lges_a weg_a x1 ya2 ax1 bx1 cx1 dx1
    cubicp  $lges_a weg_a y1 ya2
    koeff $lges_a weg_a y1 ya2 ay1 by1 cy1 dy1
    cubicp  $lges_a weg_a x2 ya2
    koeff $lges_a weg_a x2 ya2 ax2 bx2 cx2 dx2
    cubicp  $lges_a weg_a y2 ya2
    koeff $lges_a weg_a y2 ya2 ay2 by2 cy2 dy2

    #set ISPL 1
    #set iii 0
    #while {$iii < 10} {
        #incr iii
        #puts "ax1=$ax1($iii),bx1=$bx1($iii),cx1=$cx1($iii),dx1=$dx1($iii),x1=$x1($iii)"
        #spline_a_interp [expr ($weg_a($iii)+$weg_a([expr $iii+1]))/2] $lges_a weg_a ax1 bx1 cx1 dx1 ISPL y_neu ya_neu
        #set weg_att [expr $weg_a($iii)*$weg_a($iii)]
        #set weg_attt [expr $weg_att*$weg_a($iii)]
        #set x1t [expr $ax1($iii)*$weg_attt+$bx1($iii)*$weg_att+$cx1($iii)*$weg_a($iii)+$dx1($iii)]
        #puts "$iii,weg_a=$weg_a($iii),x1=$x1($iii),x1t=$x1t"
        #puts "$iii,weg_a=$weg_a($iii),x1=$x1($iii),y_neu=$y_neu"
        #puts "$iii,weg_a=$weg_a($iii),x1=$x1($iii),x2=$x2($iii)"
        #puts "$iii,weg_a=$weg_a($iii),x1=$x1($iii),x2=$x2($iii),ax1=$ax1($iii),ax2=$ax2($iii),dx1=$dx1($iii),dx2=$dx2($iii)"
        #puts "$iii,weg_a=$weg_a($iii),x1=$x1($iii),x2=$x2($iii),bx1=$bx1($iii),bx2=$bx2($iii),cx1=$cx1($iii),cx2=$cx2($iii)"
    #}

    set weg_step [expr ($weg_a($lges_a_ur)-$weg_a(1))/($lges_a_ur-1)*$ivorz]
    set weg_step_ur $weg_step

    set jstop 0
    while {$jstop < 2} {
        set weg_is3 0.0
        set weg_is1 $weg_a($is1)
        set weg_is2 $weg_a($is2)
        set weg_step2 0
        set jerr 0
        #while {$jerr == 0 && $lges_k < $lges_a_ur}
        while {$jerr == 0 } {
            set jerr [kue_solver $weg_is1 $weg_is2 $weg_is3 $weg_step $weg_step2 \
                       $eps $lges_a_ur weg_a $lges_a \
                       x1 ax1 bx1 cx1 dx1 y1 ay1 by1 cy1 dy1 \
                       x2 ax2 bx2 cx2 dx2 y2 ay2 by2 cy2 dy2 \
                       xdp ydp xg1 yg1 xg2 yg2]
#            if (jerr.lt.30) then
#                call neue_startwerte(weg_step_ur,weg_is1,weg_is2,
# +                  weg_step,weg_step2,weg_is3,jerr)
#            end if
        }
#
         if {$jerr != 0} then {
             set lges_k [expr $lges_k-1]
         }
         speicher_werte lges_k $xdp $ydp $xg1 $yg1 $xg2 $yg2
#        call speicher_werte(*1,xdp,ydp,xg1,yg1,xg2,yg2,
# +          x1p1,y1p1,x1p2,y1p2,x2p1,y2p1,x2p2,y2p2,i_viergl,2,
# +          w_loes1,w_loes2,weg_a,lges_a,lges_a_ur)
#
         if {$jstop == 0} then {
#            kk=1000
#            string='Nein'
#            call read_a(
# +              'entgegengesetzte Suchrichtung probieren',*1,
# +              string,iw,rw,kk,icorr,0,'1g,Ja,Nein',1.,nv+0.)
             set antw [tk_messageBox -type yesno \
                 -message "entgegengesetzte Suchrichtung probieren?"]
#            if (string(:1).eq.'J') then
             if {$antw == "yes"} then {
                 set weg_step [expr ($weg_a($lges_a_ur)-$weg_a(1))/($lges_a_ur-1)]
                 set weg_step [expr -1.*$weg_step*$ivorz]
                 umspeichern y_2 $lges_k
                 set jstop 1
             } else {
                 set jstop 2
             }
         } else {
             set jstop 2
         }
    }
}
############################################################################
# Ermitteln eines geschlossen zu Ermittelnden Teils der Uebergangskurve

proc kue_solver {weg_is1 weg_is2 weg_is3 weg_step weg_step2 eps lges_a_ur \
                weg_a_ lges_a x1_ ax1_ bx1_ cx1_ dx1_ y1_ ay1_ by1_ cy1_ dy1_ \
                       x2_ ax2_ bx2_ cx2_ dx2_ y2_ ay2_ by2_ cy2_ dy2_ \
                       xdp_ ydp_ xg1_ yg1_ xg2_ yg2_} {

     #   subroutine kue_solver(*,weg_is1,weg_is2,weg_is3,weg_step,
     #+          weg_step2,eps,lges_a_ur,iberech_abl, jerr)

# geg.: weg_is1,weg_is2,weg_is3,weg_step,eps,lges_a_ur,iberech_abl
# ges.: jerr

# weg_is1 : Startposition von weg_a() fr Lage 1
# weg_is2 : Startposition von weg_a() fr Lage 2
# weg_is3 : weg_is3=0 --> mit weg_is1 und weg_is2 Startlsung suchen
#           weg_is3<>0 -> Startlsung zwischen weg_is2 und weg_is3
# weg_step: Schrittweite fr Stellung 1 (positiv oder negativ)
# weg_step2:Schrittweite fr Stellung 2 (positiv oder negativ)
# eps     : Genauigkeitsschranke
# lges_a_ur:Anzahl eingelesener Sttzstellen
# iberech_abl: Kennzahl
#         iberech_abl=0 --> Ableitung fr Newton  wird nicht berechnet
#                           ('****ss' mu nicht gegeben sein!)
#         iberech_abl=1 --> Ableitung fr Newton  wird berechnet
# jerr    : Kennzahl
#           jerr=1 --> Schrittweite hat Minimum unterschritten
#           jerr=2 --> Es wurde keine Startlsung fr REGULA FALSI
#                      gefunden
#           jerr=3 --> Es wurde keine Lsung mit REGULA FALSI gefunden
#....................................................................
#....................................................................

    upvar $weg_a_ weg_a
    upvar $x1_ x1
    upvar $ax1_ ax1
    upvar $bx1_ bx1
    upvar $cx1_ cx1
    upvar $dx1_ dx1
    upvar $y1_ y1
    upvar $ay1_ ay1
    upvar $by1_ by1
    upvar $cy1_ cy1
    upvar $dy1_ dy1
    upvar $x2_ x2
    upvar $ax2_ ax2
    upvar $bx2_ bx2
    upvar $cx2_ cx2
    upvar $dx2_ dx2
    upvar $y2_ y2
    upvar $ay2_ ay2
    upvar $by2_ by2
    upvar $cy2_ cy2
    upvar $dy2_ dy2

    # Selbstberuehrungspunktes
    upvar $xdp_ xdp
    upvar $ydp_ ydp
    # Rastpolkurvenpunkts Getriebelage 1
    upvar $xg1_ xg1
    upvar $yg1_ yg1
    # Rastpolkurvenpunkts Getriebelage 2
    upvar $xg2_ xg2
    upvar $yg2_ yg2

    global runKue

    # aendern!
    set weg_step2 0
    set runKue 1

    set jerr 0
    set jstop 0
    set weg_step_old $weg_step
    set weg_1 [expr $weg_is1-$weg_step]
    set w_loes2 $weg_is2
    set w_loes2_alt $weg_is2
    set weg_2 $weg_is2
    set ido 0

    set izaehl 0
    set i_wiederhol 0

    while {$runKue == 1 && $weg_1 < $weg_a($lges_a) && $weg_1 > 0.0 && $weg_2 < $weg_a($lges_a) \
    && $weg_2 > 0.0 && $jstop == 0} {
        puts ok0
        incr izaehl
        if {$izaehl > 90} then {
            set runKue 0
            tk_messageBox -type ok -message "nach 90 Iterationen abgebrochen"
        }
        set weg_1 [expr $weg_1+$weg_step]
        set weg_2 $w_loes2
        if {$ido > 0} then {
            if {[expr abs([expr $w_loes2-$w_loes2_alt])] > \
            [expr abs([expr 2.0*$weg_step_old])]} then {
                #puts ok0a
#       Schrittweite verkleinern, da 2 Getriebelage zu stark variiert
                if {abs([expr $weg_step/2.0]) > [expr abs([expr $weg_step_old/7.0])]} then {
                    set weg_step [expr $weg_step/2.0]
                    set weg_2 [expr $w_loes2_alt+($w_loes2-$w_loes2_alt)/2.0]
#                       write(ou,'(1x,a,f9.7,a)')
#     +                     'Schrittweite wird verkleinert auf ',
#    +                      weg_step,' m'
#                    write(ou,'(''<'',$)')
                } else {
                    set jstop 1
                    # Schrittweite wird zu klein
                    set jerr 1
                    break
                }
                #puts ok0b
            } elseif {[expr abs([expr $w_loes2-$w_loes2_alt])] < \
            [expr abs([expr 0.5*$weg_step_old])]} then {
#       Schrittweite vergroessern, da 2 Getriebelage zu wenig variiert
                if {abs($weg_step) < abs($weg_step_old)} then {
                    set weg_step [expr $weg_step*2.0]
                    set weg_2 [expr $w_loes2_alt+($w_loes2-$w_loes2_alt)*2.0]
#                   write(ou,'(1x,a,f9.7,a)')
#    +                 'Schrittweite wird vergrert auf ',weg_step,' m'
#                    write(ou,'(''>'',$)')
                }
            }
# Vorhersagen, wo neue 2. Getriebelage wahrscheinlich liegen wird
            set weg_2 [expr $weg_2+($weg_2-$w_loes2_alt)]
        } else {
            set weg_2 [expr $weg_2+$weg_step2]
        }
        #puts ok0e

        set i_spl 1
        set ierr [setz_lage1 $weg_1 $i_spl \
                weg_a x1 ax1 bx1 cx1 dx1 y1 ay1 by1 cy1 dy1 \
                       x2 ax2 bx2 cx2 dx2 y2 ay2 by2 cy2 dy2 $lges_a]
        #puts ok0f

        if {$ierr == 0} then {
            set w_loes1 $weg_1
            set weg_rf1 $weg_is2
        } else {
            tk_messageBox -type ok -message "Probleme mit Splines"
        }
        if {$ierr != 0} then {
        # Es wurde keine Startloesung fuer REGULA FALSI gefunden
            set jerr 2
            set jstop 1
        } else {
            set w_loes2_alt $w_loes2
            #puts ok0g
            set ierr [loes_newton $weg_2 $eps w_loes2 fx \
                         weg_a $lges_a x1 ax1 bx1 cx1 dx1 y1 ay1 by1 cy1 dy1 \
                         x2 ax2 bx2 cx2 dx2 y2 ay2 by2 cy2 dy2 \
                         xdp ydp xg1 yg1 xg2 yg2]
            puts ok5
            if {$ierr != 0} then {
                tk_messageBox -type ok -message "Es wurde keine Loesung gefunden"
                set jerr 3
                set jstop 1
            } else {
                #puts ok6
                set ifehler 0
                speicher_werte lges_k $xdp $ydp $xg1 $yg1 $xg2 $yg2
#                call speicher_werte(*1,xdp,ydp,xg1,yg1,xg2,yg2,
# +                  x1p1,y1p1,x1p2,y1p2,x2p1,y2p1,x2p2,y2p2,
# +                  i_viergl,0,w_loes1,w_loes2,weg_a,lges_a,
# +                  lges_a_ur)
                if {$ierr ==0} then {
                    #puts ok7
#       Pruefen, ob Ergebnis zu vorherigen Ergebnissen passt
                    puts "proc pruef_ergebnis uebersprungen"
                    #set ierr [pruef_ergebnis $weg_step_old [expr $weg_a($lges_a)/$lges_a]]
                    #puts ok8
                    if {$ierr != 0} then {
                        if {$ierr == 1 && $i_wiederhol == 0} then {
#       Ergebnis weist Sprung auf
                            set weg_step [expr $weg_step/2.]
                            set jerr 0
                            set i_wiederhol 1
                            incr ido
                            continue
                        } else {
                            set jerr 30
                            set jstop 1
                        }
                    }
                }
                #puts ok9
            }
            #puts ok10
            #puts "xdp=$xdp,xg1=$xg1,xg2=$xg2,ydp=$ydp,yg1=$yg1,yg2=$yg2"
        }
        set i_wiederhol 0
        incr ido
        #puts ok11
    }

    #puts ok12
    return $jerr
}
###############################################################################
# Naeherungsverfahren nach Newton

proc loes_newton {x_alt_ur eps x_ fx_ \
                  weg_a_ lges_a x1_ ax1_ bx1_ cx1_ dx1_ y1_ ay1_ by1_ cy1_ dy1_ \
                  x2_ ax2_ bx2_ cx2_ dx2_ y2_ ay2_ by2_ cy2_ dy2_ \
                  xdp_ ydp_ xg1_ yg1_ xg2_ yg2_} {

# geg.: x_alt_ur,eps
# ges.: x,fx,ierr

# x_alt_ur: x-Wert
# eps   : ist abs(f(x))<eps, so wird Iteration beendet
# x     : x-Wert der Loesung
# fx    : Wert von f(x)
# ierr  : Kennzahl
#         ierr=0 --> Es wurde eine Loesung gefunden
#         ierr=1 --> Es trat ein Fehler beim Loesen auf
#.............................................................
#.............................................................
    upvar $x_ x
    upvar $fx_ fx

    upvar $weg_a_ weg_a
    upvar $x1_ x1
    upvar $ax1_ ax1
    upvar $bx1_ bx1
    upvar $cx1_ cx1
    upvar $dx1_ dx1
    upvar $y1_ y1
    upvar $ay1_ ay1
    upvar $by1_ by1
    upvar $cy1_ cy1
    upvar $dy1_ dy1
    upvar $x2_ x2
    upvar $ax2_ ax2
    upvar $bx2_ bx2
    upvar $cx2_ cx2
    upvar $dx2_ dx2
    upvar $y2_ y2
    upvar $ay2_ ay2
    upvar $by2_ by2
    upvar $cy2_ cy2
    upvar $dy2_ dy2

    # Selbstberuehrungspunktes
    upvar $xdp_ xdp
    upvar $ydp_ ydp
    # Rastpolkurvenpunkts Getriebelage 1
    upvar $xg1_ xg1
    upvar $yg1_ yg1
    # Rastpolkurvenpunkts Getriebelage 2
    upvar $xg2_ xg2
    upvar $yg2_ yg2

    global i_ges_ i_anz_ runKue

    if {[info exists i_ges_] == 0} then {
        set i_ges_ 0
    }
    if {[info exists i_anz_] == 0} then {
        set i_anz_ 0
    }

    set ierr 0

    set x_alt $x_alt_ur
    puts ok1
    set fx [ywert8_rf2 $x_alt $eps fxs ierr \
            weg_a $lges_a x1 ax1 bx1 cx1 dx1 y1 ay1 by1 cy1 dy1 \
            x2 ax2 bx2 cx2 dx2 y2 ay2 by2 cy2 dy2  xdp ydp xg1 yg1 xg2 yg2]
    puts ok2
    set i 0
    while {$runKue == 1 && $ierr == 0 && [expr abs($fx)] > $eps && $i <= 1000} {
        incr i
        set x [expr $x_alt-$fx/$fxs]
        set fx [ywert8_rf2 $x $eps fxs ierr \
                weg_a $lges_a x1 ax1 bx1 cx1 dx1 y1 ay1 by1 cy1 dy1 \
                x2 ax2 bx2 cx2 dx2 y2 ay2 by2 cy2 dy2 xdp ydp xg1 yg1 xg2 yg2]
        #puts ok3
        if {$ierr != 0} then {
            set x [expr $x+($x_alt-$x)/2.]
            set fx [ywert8_rf2 $x $eps fxs ierr \
                    weg_a $lges_a x1 ax1 bx1 cx1 dx1 y1 ay1 by1 cy1 dy1 \
                    x2 ax2 bx2 cx2 dx2 y2 ay2 by2 cy2 dy2 xdp ydp xg1 yg1 xg2 yg2]
            if {$ierr != 0} then {
                set x [expr $x-($x_alt-$x)]
                set fx [ywert8_rf2 $x $eps fxs ierr \
                        weg_a $lges_a x1 ax1 bx1 cx1 dx1 y1 ay1 by1 cy1 dy1 \
                        x2 ax2 bx2 cx2 dx2 y2 ay2 by2 cy2 dy2 xdp ydp xg1 yg1 xg2 yg2]
            }
        }
        #puts "x=$x, fx=$fx"
        set x_alt $x
    }
    if {$i >= 1000} then {
        tk_messageBox -type ok -message "i_anz_=$i_anz_,i_ges_=$i_ges_,fx=$fx"
        if {[expr $fx*$fx] >= $eps} then {
            set ierr 1
        }
    } else {
        set i_ges_ [expr $i_ges_+$i]
        incr i_anz_
        #write(*,*) i_anz_,i_ges,fx
    }
    puts ok4
    return $ierr
}
###################################################################################
# Unterprogramm zum Ermitteln des Winkel zwischen den beiden Geraden
# Doppelpunkt-Momentanpol 1 und Doppelpunkt-Momentanpol 2

proc ywert8_rf2 {x eps fxs_ ierr_ \
                 weg_a_ lges_a x1_ ax1_ bx1_ cx1_ dx1_ y1_ ay1_ by1_ cy1_ dy1_ \
                 x2_ ax2_ bx2_ cx2_ dx2_ y2_ ay2_ by2_ cy2_ dy2_ \
                 xdp_ ydp_ xg1_ yg1_ xg2_ yg2_} {

    upvar $fxs_ fxs
    upvar $ierr_ ierr

    upvar $weg_a_ weg_a
    upvar $x1_ x1
    upvar $ax1_ ax1
    upvar $bx1_ bx1
    upvar $cx1_ cx1
    upvar $dx1_ dx1
    upvar $y1_ y1
    upvar $ay1_ ay1
    upvar $by1_ by1
    upvar $cy1_ cy1
    upvar $dy1_ dy1
    upvar $x2_ x2
    upvar $ax2_ ax2
    upvar $bx2_ bx2
    upvar $cx2_ cx2
    upvar $dx2_ dx2
    upvar $y2_ y2
    upvar $ay2_ ay2
    upvar $by2_ by2
    upvar $cy2_ cy2
    upvar $dy2_ dy2

    # Selbstberuehrungspunktes
    upvar $xdp_ xdp
    upvar $ydp_ ydp
    # Rastpolkurvenpunkts Getriebelage 1
    upvar $xg1_ xg1
    upvar $yg1_ yg1
    # Rastpolkurvenpunkts Getriebelage 2
    upvar $xg2_ xg2
    upvar $yg2_ yg2

# geg.: x,eps,jberech_abl
# ges.: ywert8_rf2,ierr

# x       : x-Wert fr f(x)
# eps     : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
#                    wenn sie im Nenner stehen, als 0 angesehen
# jberech_abl: Kennzahl
#         iberech_abl=0 --> Ableitung fr Newton  wird nicht berechnet
#                           ('****ss' mu nicht gegeben sein!)
#         iberech_abl=1 --> Ableitung fr Newton  wird berechnet
# ywert8_rf2: f(x)
# fxs:      Ableitung von ywert8_rf2
# ierr    : Kennzahl
#           ierr=0 --> Eine Lsung wurde gefunden
#           ierr=1 --> Es trat ein Fehler auf
#.................................................................
#.................................................................
    global x1p1 y1p1 x1p2 y1p2
    global x1p1s y1p1s x1p2s y1p2s
    global x1p1ss y1p1ss x1p2ss y1p2ss
    global x2p1 y2p1 x2p2 y2p2

    if {[info exists i_spl] == 0} then {
        set i_spl 0
    }
    #puts okR0
    set ierr [spline_a2_interp $x $lges_a weg_a ax1 bx1 cx1 dx1 i_spl x2p1 x2p1s x2p1ss]
    if {$ierr == 0} then {
        #puts okR1
        set ierr [spline_a2_interp $x $lges_a weg_a \
            ay1 by1 cy1 dy1 i_spl y2p1 y2p1s y2p1ss]
    }
    #puts okR2
    if {$ierr == 0} then {
        set ierr [spline_a2_interp $x $lges_a weg_a \
            ax2 bx2 cx2 dx2 i_spl x2p2 x2p2s x2p2ss]
    }
    #puts okR3
    if {$ierr == 0} then {
        set ierr [spline_a2_interp $x $lges_a weg_a \
            ay2 by2 cy2 dy2 i_spl y2p2 y2p2s y2p2ss]
    }
    #puts okR4
    if {$ierr == 0} then {
        set ierr [kue8_punkt $x1p1 $y1p1 $x1p1s $y1p1s $x1p1ss $y1p1ss \
            $x2p1 $y2p1 $x2p1s $y2p1s $x2p1ss $y2p1ss \
            $x1p2 $y1p2 $x1p2s $y1p2s $x1p2ss $y1p2ss \
            $x2p2 $y2p2 $x2p2s $y2p2s $x2p2ss $y2p2ss \
            $eps  ywert8_rf2 fxs xdp ydp xg1 yg1 xg2 yg2]
        if {$ierr == 0} then {
            set ierr [kue8_punkt $y1p1 $x1p1 $y1p1s $x1p1s $y1p1ss $x1p1ss \
                $y2p1 $x2p1 $y2p1s $x2p1s $y2p1ss $x2p1ss  \
                $y1p2 $x1p2 $y1p2s $x1p2s $y1p2ss $x1p2ss \
                $y2p2 $x2p2 $y2p2s $x2p2s $y2p2ss $x2p2ss \
                $eps  ywert8_rf2 fxs ydp xdp yg1 xg1 yg2 xg2]
        }
    } else {
        set ierr -1
    }
    #puts okR5
    if {$ierr != 0} then {
        tk_messageBox -type ok -message "ywert8_rf2: ierr=$ierr"
    }
    #puts ok1b
    #puts okR1,x=$x,x1p1=$x1p1,x2p1=$x2p1
    return $ywert8_rf2
}
######################################################################################
# Setzen der Lage 1 zum ermitteln eines Doppelpunktes

proc setz_lage1 {weg_1 i_spl \
      weg_a_ x1_ ax1_ bx1_ cx1_ dx1_ y1_ ay1_ by1_ cy1_ dy1_ \
             x2_ ax2_ bx2_ cx2_ dx2_ y2_ ay2_ by2_ cy2_ dy2_ lges_a} {

# geg.: weg_1,i_spl
# ges.: ierr

# weg_1:        Weg fr Lage 1
# i_spl:        Startwert fr Suche der Sttzstelle von Lage 1
# ierr:         Kennzahl
#               ierr=0 --> Es trat kein Fehler beim interprtieren der
#                          Splines auf
#               ierr<>1 --> Es trat ein Fehler auf
#..................................................................
#..................................................................
    upvar $weg_a_ weg_a
    upvar $x1_ x1
    upvar $ax1_ ax1
    upvar $bx1_ bx1
    upvar $cx1_ cx1
    upvar $dx1_ dx1
    upvar $y1_ y1
    upvar $ay1_ ay1
    upvar $by1_ by1
    upvar $cy1_ cy1
    upvar $dy1_ dy1
    upvar $x2_ x2
    upvar $ax2_ ax2
    upvar $bx2_ bx2
    upvar $cx2_ cx2
    upvar $dx2_ dx2
    upvar $y2_ y2
    upvar $ay2_ ay2
    upvar $by2_ by2
    upvar $cy2_ cy2
    upvar $dy2_ dy2

    global x1p1 y1p1 x1p2 y1p2
    global x1p1s y1p1s x1p2s y1p2s
    global x1p1ss y1p1ss x1p2ss y1p2ss

    set ierr [spline_a2_interp $weg_1 $lges_a weg_a ax1 bx1 cx1 dx1 i_spl x1p1 x1p1s x1p1ss]
    if {$ierr == 0} then {
        set ierr [spline_a2_interp $weg_1 $lges_a weg_a \
                         ay1 by1 cy1 dy1 i_spl y1p1 y1p1s y1p1ss]
    }
    if {$ierr == 0} then {
        set ierr [spline_a2_interp $weg_1 $lges_a weg_a \
                         ax2 bx2 cx2 dx2 i_spl x1p2 x1p2s x1p2ss]
    }
    if {$ierr == 0} then {
        set ierr [spline_a2_interp $weg_1 $lges_a weg_a \
                         ay2 by2 cy2 dy2 i_spl y1p2 y1p2s y1p2ss]
    }

    return $ierr
}
##############################################################################
#c Unterprogramm zum Ermitteln des Weges (der Lnge) einer Kurve,
#c wobei die Stcke zwischen den Sttzstellen als Geraden angenommen
#c werden

proc erm_weg {lges x_ y_ weg_} {

    upvar $x_ x
    upvar $y_ y
    upvar $weg_ weg

#c geg.: lges,x,y

#c lges  : Anzahl der Stuetzstellen der Kurve
#c x()   : x-Koordinaten der Kurve
#c y()   : y-Koordinaten der Kurve
#c weg() : Weg der Kurve zwischen Anfangssttzstelle und der betreffenden
#c         Sttzstelle
#c....................................................................
#c....................................................................
        set weg(1) 0
#        do i=2,lges
        for {set i 2} {$i <= $lges} {incr i} {
            set dx [expr $x($i)-$x([expr $i-1]) ]
            set dy [expr $y($i)-$y([expr $i-1]) ]
            set weg($i) [expr $weg([expr $i-1])+sqrt([expr $dx*$dx+$dy*$dy]) ]
        }
}
###########################################################################
# Momentanpole

proc kue8_punkt {x1p1 y1p1 x1p1s y1p1s x1p1ss y1p1ss \
                 x2p1 y2p1 x2p1s y2p1s x2p1ss y2p1ss \
                 x1p2 y1p2 x1p2s y1p2s x1p2ss y1p2ss \
                 x2p2 y2p2 x2p2s y2p2s x2p2ss y2p2ss \
                 eps fx_ fxs_ xdp_ ydp_ xg1_ yg1_ xg2_ yg2_} {

        upvar $fx_ fx
        upvar $fxs_ fxs
        # Selbstberuehrungspunktes
        upvar $xdp_ xdp
        upvar $ydp_ ydp
        # Rastpolkurvenpunkts Getriebelage 1
        upvar $xg1_ xg1
        upvar $yg1_ yg1
        # Rastpolkurvenpunkts Getriebelage 2
        upvar $xg2_ xg2
        upvar $yg2_ yg2

# geg.: x1p1,y1p1,x1p1s,y1p1s,x1p1ss,y1p1ss
#       x2p1,y2p1,x2p1s,y2p1s,x2p1ss,y2p1ss
#       x1p2,y1p2,x1p2s,y1p2s,x1p2ss,y1p2ss
#       x2p2,y2p2,x2p2s,y2p2s,x2p2ss,y2p2ss,eps
# ges.: fx,fxs,ierr,xdp,ydp,xg1,yg1,xg2,yg2

# x1p1  : x-Koordinate der 1. Lage des Koppelpunktes 1
# y1p1  : y-Koordinate der 1. Lage des Koppelpunktes 1
# x2p1  : x-Koordinate der 2. Lage des Koppelpunktes 1
# y2p1  : y-Koordinate der 2. Lage des Koppelpunktes 1
# x1p2  : x-Koordinate der 1. Lage des Koppelpunktes 2
# y1p2  : y-Koordinate der 1. Lage des Koppelpunktes 2
# x2p2  : x-Koordinate der 2. Lage des Koppelpunktes 2
# y2p2  : y-Koordinate der 2. Lage des Koppelpunktes 2
# ....s : 1. Ableitung der Gre ohne 's'
# ....ss: 2. Ableitung der Gre ohne 'ss'
# iberech_abl: Kennzahl
# eps   : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
#                    wenn sie im Nenner stehen, als 0 angesehen
# fx    : Winkel zwischen den beiden Verbindungslinie vom Doppelpunkt
#         zu jeweil einem der beiden zugehrigen Momentanpole
# fxs   : Ableitung von fx
# ierr  : Kennzahl
#         ierr=0 --> es ist kein Fehler aufgetreten
#         ierr=1 --> fxs=0 [f'(x)=0]
#         ierr=2 --> Nenner der Steigung der Geraden Kd-Kg2 ist Null
#                    (Es wird jedoch ein Ergebnis berechnet -> Warning!)
#         ierr=3 --> Nenner der Steigung der Geraden Kd-Kg1 ist Null
#                    (Es wird jedoch ein Ergebnis berechnet -> Warning!)
#         ierr=4 --> Doppelpunkt liegt im Unendlichen
#         ierr=5 --> Momentanpol fr Lage 1 liegt im Unendlichen
#         ierr=6 --> Momentanpol fr Lage 2 liegt im Unendlichen
#         ierr=7 --> y1s=0 in Lage 1
#         ierr=8 --> y2s=0 in Lage 1
#         ierr=9 --> in Lage 1 gilt: die beiden Geraden zwischen dem
#                    Momentanpol den Koppelpunkten 1 bzw. 2 weisen die
#                    gleiche Steigung auf
#         ierr=10--> in Lage 1 gilt: Steigung der Geraden
#                    Momentanpol-Koppelpunkt 1 oder 2 ist Unendlich,
#                    Ableitung von xg ist nicht berechenbar
#         ierr=11--> y1s=0 in Lage 2
#         ierr=12--> y2s=0 in Lage 2
#         ierr=13--> in Lage 2 gilt: die beiden Geraden zwischen dem
#                    Momentanpol den Koppelpunkten 1 bzw. 2 weisen die
#                    gleiche Steigung auf
#         ierr=14--> in Lage 2 gilt: Steigung der Geraden
#                    Momentanpol-Koppelpunkt 1 oder 2 ist Unendlich,
#                    Ableitung von xg ist nicht berechenbar
#         ierr=15--> Mittelsenkrechte von Geraden durch Koppelpunkt1
#                    in beiden Lagen ist eine Senkrechte
#         ierr=16--> Mittelsenkrechte von Geraden durch Koppelpunkt2
#                    in beiden Lagen ist eine Senkrechte
#         ierr=17--> y-Koordinaten von Geraden durch Koppelpunkt1 in
#                    beiden Lagen identisch
#         ierr=18--> y-Koordinaten von Geraden durch Koppelpunkt2 in
#                    beiden Lagen identisch
#         ierr=19--> Steigung beider Mittelsenkrechten der Geraden
#                    durch beide Lagen des Koppelpunktes 1 bzw. 2
#                    sind identisch
#         ierr=20--> x-Koordinaten von Doppelpunkt und Momentanpol
#                    der Lage 1 sind identisch
#         ierr=21--> x-Koordinaten von Doppelpunkt und Momentanpol
#                    der Lage 2 sind identisch
#         ierr=22--> 2. Ableitung des Winkels der Geraden
#                    Doppelpunkt und Momentanpol1 enthlt Division durch
#                    Null
#         ierr=23--> 2. Ableitung des Winkels der Geraden
#                    Doppelpunkt und Momentanpol2 enthlt Division durch
#                    Null
#         ierr=30--> belegt von anderem Unterprogramm
#         ierr=40--> Berechnung abbrechen
#..................................................................
#..................................................................
    global Pi drad

    set ierr 0
    #puts okk1
# Berechnen der Lage der Momentanpole
    set ierr_m1 [lage8_momentanpol $x1p1 $y1p1 $x1p1s $y1p1s \
                 $x1p2 $y1p2 $x1p2s $y1p2s $eps xg1 yg1 dm1g1 dm2g1 b1g1 b2g1]
    if {$ierr_m1 == 1} then {
        set ierr 6
        return $ierr
    }

    set ierr_m2 [lage8_momentanpol $x2p1 $y2p1 $x2p1s $y2p1s $x2p2 $y2p2 \
                  $x2p2s $y2p2s $eps xg2 yg2 dm1g2 dm2g2 b1g2 b2g2]
    if {$ierr_m2 == 1} then {
        set ierr 5
        return $ierr
    }
    #puts okk3
# Berechnen der Lage des Doppelpunktes

    set ierr_m3 [lage8_doppelpunkt $x1p1 $y1p1 $x2p1 $y2p1 \
                 $x1p2 $y1p2 $x2p2 $y2p2 $eps xdp ydp dmu1 dmu2 bu1 bu2]

    if {$ierr_m3 == 1} then {
        set ierr 4
        return $ierr
    }

# Berechnung der Steigungen der Geraden zwischen Doppelpunkt
# und Momentanpol

    set ierr [geraden8_steigung_2p $xdp $ydp $xg1 $yg1 $eps dmgug1]
    #puts "xdp=$xdp, ydp=$ydp, xg1=$xg1, yg1=$yg1, [expr ($yg1-$ydp)/($xg1-$xdp)]"
    if {$ierr == 1} then {
        set ierr_3 3
        set ierr 3
    } else {
        set ierr_3 0
    }
    #puts okk6
    set ierr [geraden8_steigung_2p $xdp $ydp $xg2 $yg2 $eps dmgug2]
    #puts "xdp=$xdp, ydp=$ydp, xg2=$xg2, yg2=$yg2, [expr ($yg2-$ydp)/($xg2-$xdp)]"
    if {$ierr == 1} then {
        set ierr 2
    }

    if {$ierr == 0} then {
        #puts "dmgug1=$dmgug1,dmgug2=$dmgug2"
        set fx [expr atan($dmgug1)-atan($dmgug2)]
    } elseif {$ierr == 3} then {
#     Winkel der Geraden 1 ist 90 Grad (-90 Grad)
        if {[expr $xdp-$xg1] > 0} then {
            set Vorz 1.
        } else {
            set Vorz -1.
        }
        set fx [expr $Vorz*($Pi/2.0)-atan($dmgug2)]
    } elseif {$ierr == 2 && $ierr_3 == 0} then {
#     Winkel der Geraden 2 ist 90 Grad (-90 Grad)
        if {[expr $xdp-$xg2] > 0} then {
            set Vorz 1.
        } else {
            set Vorz -1.
        }
        set fx [expr atan($dmgug1)- $Vorz *$Pi)]
    } else {
#     Winkel der Geraden 1 und 2 sind beide 90 Grad (-90 Grad)
        set fx 0.0
    }
    #puts okk8,fx=$fx
    if {[expr abs($fx)] > [expr $Pi/2.0]} then {
        #tk_messageBox -type ok -message "Winkel = [expr abs($fx)/$drad] > 90 Grad"
        set antw [tk_messageBox -type yesno \
                 -message "Winkel = [expr abs($fx)/$drad] > 90 Grad, Berechnung fortsetzen?"]
        if {$antw == "no"} then {
            set ierr 40
            return $ierr
        }
    }
    #puts okk8a
    if {$ierr_m3 < 0} then {
        set ierr [expr 14+abs($ierr_m3)]
        return $ierr
    }

# Ableitung der Koordinaten des Momentanpols
    #puts okk8b
    if {$ierr == 0} then {
        set xg1s 0.0
        set yg1s 0.0
    }
    #puts okk8c
    if {$ierr == 0} then {
        set ierr [abl8_momentanpol $x2p1 $x2p1s $y2p1s $x2p1ss $y2p1ss \
               $x2p2 $x2p2s $y2p2s $x2p2ss $y2p2ss $xg2 \
               $ierr_m2 $dm1g2 $dm2g2 $b1g2 $b2g2 $eps  xg2s yg2s]
        if {$ierr > 0} then {
            set ierr $ierr+10
            return $ierr
        }
    }

# Ableitung der Lage des Doppelpunkt
    #puts okk9
    if {$ierr == 0} then {
        set ierr [abl8_doppelpunkt $x1p1 $y1p1 $x2p1 $y2p1 \
                  $x1p1s $y1p1s $x2p1s $y2p1s $x1p2 $y1p2 $x2p2 $y2p2 \
                  $x1p2s $y1p2s $x2p2s $y2p2s \
                  $dmu1 $dmu2 $bu1 $bu2 $xdp $eps  xdps ydps]

        if {$ierr > 0} then {
            set ierr [expr $ierr+16]
            return $ierr
        }

        set u [expr $ydp-$yg1]
        set us [expr $ydps-$yg1s]
        set v [expr $xdp-$xg1]
        set vs [expr $xdps-$xg1s]
        if {[expr abs($v)] > $eps} then {
            set dmgug1s [expr ($us*$v-$u*$vs)/($v*$v)]
        } else {
            set ierr 20
        }

        if {$ierr == 0} then {
            set u [expr $ydp-$yg2]
            set us [expr $ydps-$yg2s]
            set v [expr $xdp-$xg2]
            set vs [expr $xdps-$xg2s]
            if {[expr abs($v)] > $eps} then {
                set dmgug2s [expr ($us*$v-$u*$vs)/($v*$v)]
            } else {
                set ierr 20
            }

            if {$ierr == 0} then {
                set z1 [expr 1.0+$dmgug1*$dmgug1]
                if {[expr abs($z1)] > $eps} then {
                    set z1 [expr $dmgug1s/$z1]
                } else {
                    set ierr 22
                }
                if {$ierr == 0} then {
                    set z2 [expr 1.0+$dmgug2*$dmgug2]
                    if {[expr abs($z2)] > $eps} then {
                        set z2 [expr $dmgug2s/$z2]
                    } else {
                        set ierr 23
                    }
                    if {$ierr == 0} then {
                        set fxs [expr $z1-$z2]
                    }
                }
            }
        }
    }

    return $ierr
}
#########################################################################
# Berechnen der Lage des Momentanpols

proc lage8_momentanpol {x1 y1 x1s y1s \
                x2 y2 x2s y2s eps  xg_ yg_ dm1_ dm2_ b1_ b2_} {

        upvar $xg_ xg
        upvar $yg_ yg
        upvar $dm1_ dm1
        upvar $dm2_ dm2
        upvar $b1_ b1
        upvar $b2_ b2

# geg.: x1,y1,x1s,y1s,x2,y2,x2s,y2s,eps
# ges.: xg,yg,dm1,dm2,b1,b2,ierr

# x1    : x-Koordinate der 1. Lage des Koppelpunktes 1
# y1    : y-Koordinate der 1. Lage des Koppelpunktes 1
# x2    : x-Koordinate der 2. Lage des Koppelpunktes 2
# y2    : y-Koordinate der 2. Lage des Koppelpunktes 2
# ....s : 1. Ableitung der Gre ohne 's'
# eps   : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
#                    wenn sie im Nenner stehen, als 0 angesehen
# xg    : x-Koordinate des Momentanpols
# yg    : y-Koordinate des Momentanpols
# dm1   : Steigung der Geraden Momentanpol-Koppelpunkt1
# dm2   : Steigung der Geraden Momentanpol-Koppelpunkt2
# b1    : Ordinatenschnittpunkt der Geraden Momentanpol-Koppelpunkt1
# b2    : Ordinatenschnittpunkt der Geraden Momentanpol-Koppelpunkt2
# ierr  : Kennzahl
#         ierr=0:  Es trat kein Fehler auf
#         ierr=1:  der Schnittpunkt liegt im Undendlichen
#                  (b1, b2, dm1 und dm2 wurden nicht ermittelt)
#         ierr=-1: Verbindungsgerade Momentanpol-Koppelpunkt 1 ist
#                  eine Senkrechte (b1 und dm1 wurden nicht ermittelt)
#         ierr=-2: Verbindungsgerade Momentanpol-Koppelpunkt 2 ist
#                  eine Senkrechte (b2 und dm2 wurden nicht ermittelt)
#         ierr=-3: Momentanpol liegt im Unendlichen
#..................................................................
#..................................................................

    set ierr 0

    if {[expr abs($y1s)] > $eps} then {
        set dm1 [expr -1.*$x1s/$y1s]
        set b1 [expr $y1-$dm1*$x1]
        if {[expr abs($y2s)] > $eps} then {
            set dm2 [expr -1.*$x2s/$y2s]
            set b2 [expr $y2-$dm2*$x2]
            set ierr [schnitt_2_geraden8 $b1 $b2 $dm1 $dm2 $x1 $x2 $eps  xg yg]
        } else {
# Verbindung Momentanpol - Koppelpunkt 2 steht senkrecht
            set xg $x2
            set yg [expr $dm1*$xg+$b1]
            set ierr -2
        }
    } elseif {[expr abs($y2s)] > $eps} then {
# Verbindung Momentanpol - Koppelpunkt 1 steht senkrecht
        set xg $x1
        set dm2 [expr -1.*$x2s/$y2s]
        set yg [expr $dm2*$xg+$b2]
        set ierr -1
    } else {
# Momentanpol liegt im Unendlichen
        set ierr -3
    }
    return $ierr
}
##############################################################################
# Berechnen der Koordinaten eines Schnittpunktes zweier Geraden, die
# durch ihre Ordinatenschnittpunkte und ihre Steigungen gegeben sind

proc schnitt_2_geraden8 {b1 b2 dm1 dm2 xm1 xm2 eps  xs_ ys_} {

    upvar $xs_ xs
    upvar $ys_ ys

# geg.: b1,b2,dm1,dm2,xm1,xm2,eps
# ges.: xs,ys

# b1    : Ordinatenschnittpunkt der Geraden 1
# b2    : Ordinatenschnittpunkt der Geraden 2
# dm1   : Steigung der Geraden 1
# dm2   : Steigung der Geraden 2
# xm1   : x-Koordinate eines Punktes auf der Geraden 1
# xm2   : x-Koordinate eines Punktes auf der Geraden 2
# eps   : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
#                    wenn sie im Nenner stehen, als 0 angesehen
# xs    : x-Koordinate des Schnittpunktes
# ys    : y-Koordinate des Schnittpunktes
# ierr  : Kennzahl
#         ierr=0: Es trat kein Fehler auf
#         ierr=1: der Schnittpunkt liegt im Undendlichen
#..................................................................
#..................................................................

    set ierr 0

    set dn [expr $dm2-$dm1]
    if {[expr abs($dn)] > $eps} then {
       set xs [expr ($b1-$b2)/$dn]
       set ys [expr $dm1*$xs+$b1]
    } elseif {[expr abs($dm1)] < $eps && [expr abs($dm2)] > $eps} then {
# Gerade 1 steht Senkrecht
        set xs $xm1
        set ys [expr $dm2*$xs+$b2]
    } elseif {[expr abs($dm2)] < $eps && [expr abs($dm1)] > $eps} then {
# Gerade 2 steht Senkrecht
        set xs $xm2
        set ys [expr $dm1*$xs+$b1]
    } else {
        set ierr 1
    }

    return $ierr
}
##############################################################################
# Berechnen der Lage des Doppelpunktes

proc lage8_doppelpunkt {x1p1 y1p1 x2p1 y2p1 \
                x1p2 y1p2 x2p2 y2p2 eps  xdp_ ydp_ dm1_ dm2_ b1_ b2_} {

    upvar $xdp_ xdp
    upvar $ydp_ ydp
    upvar $dm1_ dm1
    upvar $dm2_ dm2
    upvar $b1_ b1
    upvar $b2_ b2

# geg.: x1p1,y1p1,x2p1,y2p1,x1p2,y1p2,x2p2,y2p2,eps
# ges.: xdp,ydp,dm1,dm2,b1,b2,ierr

# x1p1  : x-Koordinate der 1. Lage des Koppelpunktes 1
# y1p1  : y-Koordinate der 1. Lage des Koppelpunktes 1
# x2p1  : x-Koordinate der 2. Lage des Koppelpunktes 1
# y2p1  : y-Koordinate der 2. Lage des Koppelpunktes 1
# x1p2  : x-Koordinate der 1. Lage des Koppelpunktes 2
# y1p2  : y-Koordinate der 1. Lage des Koppelpunktes 2
# x2p2  : x-Koordinate der 2. Lage des Koppelpunktes 2
# y2p2  : y-Koordinate der 2. Lage des Koppelpunktes 2
#                    wenn sie im Nenner stehen, als 0 angesehen
# eps   : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
# xdp   : x-Koordinate des Schnittpunktes
# ydp   : y-Koordinate des Schnittpunktes
# dm1   : Steigung der Mittelsenkrechten zu Geraden
#         durch die beiden Lagen des Koppelpunktes 1
# dm2   : Steigung der Mittelsenkrechten zu Geraden
#         durch die beiden Lagen des Koppelpunktes 2
# b1    : Ordinatenschnittpunkt der Mittelsenkrechten zu Geraden
#         durch die beiden Lagen des Koppelpunktes 1
# b2    : Ordinatenschnittpunkt der Mittelsenkrechten zu Geraden
#         durch die beiden Lagen des Koppelpunktes 2
# ierr  : Kennzahl
#         ierr=0: Es trat kein Fehler auf
#         ierr=1:  der Schnittpunkt liegt im Undendlichen
#         ierr=-1: Mittelsenkrechte von Geraden durch Koppelpunkt1
#                  in beiden Lagen ist eine Senkrechte
#                  (b1 und dm1 wurden nicht ermittelt)
#         ierr=-2: Mittelsenkrechte von Geraden durch Koppelpunkt2
#                  in beiden Lagen ist eine Senkrechte
#                  (b2 und dm2 wurden nicht ermittelt)
#..................................................................
#..................................................................

    set ierr 0

    set xm1 [expr $x1p1+($x2p1-$x1p1)/2.0]
    set xm2 [expr $x1p2+($x2p2-$x1p2)/2.0]
    set ym1 [expr $y1p1+($y2p1-$y1p1)/2.0]
    set ym2 [expr $y1p2+($y2p2-$y1p2)/2.0]
    set ierr1 [senkrechte8_steigung_2p $x1p1 $y1p1 $x2p1 $y2p1 $eps  dm1]
    set ierr2 [senkrechte8_steigung_2p $x1p2 $y1p2 $x2p2 $y2p2 $eps  dm2]
    if {$ierr1 == 0 && $ierr2 == 0} then {
        set b1 [expr $ym1-$dm1*$xm1]
        set b2 [expr $ym2-$dm2*$xm2]
        set ierr [schnitt_2_geraden8 $b1 $b2 $dm1 $dm2 $xm1 $xm2 $eps  xdp ydp]
        if {$ierr == 1} then {
            set ierr 1
            return $ierr
        }
    } elseif {$ierr1 != 0 && $ierr2 == 0} then {
#       Mittelsenkrechte der Verbindungslinie der beiden Lagen des
#       Koppelpunktes 1 ist eine Senkrechte
        set xdp [expr $x1p1+($x2p1-$x1p1)/2.0]
        set b2 [expr $ym2-$dm2*$xm2]
        set ydp [expr $dm2*$xdp+$b2]
        set ierr -1
    } elseif {$ierr1 == 0 && $ierr2 != 0} then {
#       Mittelsenkrechte der Verbindungslinie der beiden Lagen des
#       Koppelpunktes 2 ist eine Senkrechte
        set xdp [expr $x1p2+($x2p2-$x1p2)/2.0]
        set b1 [expr $ym1-$dm1*$xm1]
        set ydp [expr $dm1*$xdp+$b1]
        set ierr -2
    } else {
        set ierr 1
    }

    return $ierr
}
##############################################################################
# Ermitteln der Steigung der Senkrechten einer Geraden, die durch 2
# gegebene Punkte geht

proc senkrechte8_steigung_2p {x1 y1 x2 y2 eps  st_} {

    upvar $st_ st

# geg.: x1,y1,x2,y2,eps
# ges.: st,ierr

# x1    : x-Koordinate des 1. Punktes auf der Geraden
# y1    : y-Koordinate des 1. Punktes auf der Geraden
# x2    : x-Koordinate des 2. Punktes auf der Geraden
# y2    : y-Koordinate des 2. Punktes auf der Geraden
# eps   : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
#                    wenn sie im Nenner stehen, als 0 angesehen
# st    : Steigung der Senkrechten der Geraden
# ierr  : Kennzahl
#         ierr=0: Es trat kein Fehler auf
#         ierr=1: Die Steigung ist (+/-) Unendlich
#..................................................................
#..................................................................

    set ierr 1
    set dn [expr $y1-$y2]
    if {[expr abs($dn)] > $eps} then {
        set st [expr ($x2-$x1)/$dn]
        set ierr 0
    }

    return $ierr
}
##############################################################################
# Ermitteln der Steigung einer Geraden, die durch 2 gegebene Punkte
# geht

proc geraden8_steigung_2p {x1 y1 x2 y2 eps  st_} {

    upvar $st_ st

# geg.: x1,y1,x2,y2,eps
# ges.: st,ierr

# x1    : x-Koordinate des 1. Punktes auf der Geraden
# y1    : y-Koordinate des 1. Punktes auf der Geraden
# x2    : x-Koordinate des 2. Punktes auf der Geraden
# y2    : y-Koordinate des 2. Punktes auf der Geraden
# eps   : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
#                    wenn sie im Nenner stehen, als 0 angesehen
# st    : Steigung der Geraden
# ierr  : Kennzahl
#         ierr=0: Es trat kein Fehler auf
#         ierr=1: Die Steigung ist (+/-) Unendlich
#..................................................................
#..................................................................

    set ierr 1
    set dn [expr $x1-$x2]

    if {[expr abs($dn)] > $eps} then {
        set st [expr ($y1-$y2)/$dn]
        set ierr 0
    }

    return $ierr
}
#################################################################################
# Berechnen der Ableitung der Koordinaten des Momentanpols

proc abl8_momentanpol {x1 x1s y1s x1ss y1ss x2 x2s y2s x2ss y2ss xg \
                ierr_m dm1 dm2 b1 b2 eps  xgs_ ygs_} {

    upvar $xgs_ xgs
    upvar $ygs_ ygs


# geg.: x1,x1s,y1s,x2,x2s,y2s,eps,ierr_m,dm1,dm2,b1,b2,xg
# ges.: xgs,ygs,ierr

# x1    : x-Koordinate der 1. Lage des Koppelpunktes 1
# y1    : y-Koordinate der 1. Lage des Koppelpunktes 1
# x2    : x-Koordinate der 2. Lage des Koppelpunktes 2
# y2    : y-Koordinate der 2. Lage des Koppelpunktes 2
# ....s : 1. Ableitung der Gre ohne 's'
# ....ss: 2. Ableitung der Gre ohne 'ss'
# ierr_m: Kennzahl
#         ierr_m=0:  Normalfall
#         ierr_m=-1: Verbindungsgerade Momentanpol-Koppelpunkt 1 ist
#                    eine Senkrechte (b1 und dm1 wurden nicht ermittelt)
#         ierr_m=-2: Verbindungsgerade Momentanpol-Koppelpunkt 2 ist
#                    eine Senkrechte (b2 und dm2 wurden nicht ermittelt)
# dm1   : Steigung der Geraden Momentanpol-Koppelpunkt1
# dm2   : Steigung der Geraden Momentanpol-Koppelpunkt2
# b1    : Ordinatenschnittpunkt der Geraden Momentanpol-Koppelpunkt1
# b2    : Ordinatenschnittpunkt der Geraden Momentanpol-Koppelpunkt2
# eps   : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
#                    wenn sie im Nenner stehen, als 0 angesehen
# xgs   : x-Koordinate des Momentanpols
# ygs   : y-Koordinate des Momentanpols
# ierr  : Kennzahl
#         ierr=0: Es trat kein Fehler auf
#         ierr=1: y1s=0
#         ierr=2: y2s=0
#         ierr=3: die beiden Geraden zwischen dem Momentanpol
#                 den Koppelpunkten 1 bzw. 2 weisen die gleiche
#                 Steigung auf
#         ierr=4: Steigung der Geraden Momentanpol-Koppelpunkt 1 oder 2
#                 ist Unendlich, Ableitung von xg ist nicht berechenbar
#..................................................................
#..................................................................
    #puts okam0
    set ierr 0

    if {$ierr_m == 0} then {
        #puts okam1
        if {[expr abs($y1s)] > $eps} then {
            set  dm1s [expr ($x1s*$y1ss-$x1ss*$y1s)/($y1s*$y1s)]
        } else {
            set ierr 1
            return $ierr
        }
        set b1s [expr $y1s-$dm1s*$x1-$dm1*$x1s]

        if {[expr abs($y2s)] > $eps} then {
            set dm2s [expr ($x2s*$y2ss-$x2ss*$y2s)/($y2s*$y2s)]
        } else {
            set ierr 2
            return $ierr
        }
        set b2s [expr $y2s-$dm2s*$x2-$dm2*$x2s]
        #puts okam3
        set ug [expr $b1-$b2]
        set ugs [expr $b1s-$b2s]
        set vg [expr $dm2-$dm1]
        set vgs [expr $dm2s-$dm1s]

        if {[expr abs($vg)] > $eps} then {
            set xgs [expr ($ugs*$vg-$ug*$vgs)/($vg*$vg)]
        } else {
            set ierr 3
            return $ierr
        }
        #puts okam5
        set ygs [expr $dm1s*$xg+$dm1*$xgs+$b1s]
    } else {
        set ierr 4
    }

    return $ierr
}
#############################################################################

proc abl8_doppelpunkt {x1p1 y1p1 x2p1 y2p1 x1p1s y1p1s x2p1s y2p1s \
                x1p2 y1p2 x2p2 y2p2 x1p2s y1p2s x2p2s y2p2s \
                dm1 dm2 b1 b2 xdp eps  xdps_ ydps_} {

    upvar $xdps_ xdps
    upvar $ydps_ ydps

# geg.: x1p1,y1p1,x2p1,y2p1,x1p2,y1p2,x2p2,y2p2,xdp,eps
# ges.: xdps,ydps,dm1,dm2,b1,b2,ierr

# x1p1  : x-Koordinate der 1. Lage des Koppelpunktes 1
# y1p1  : y-Koordinate der 1. Lage des Koppelpunktes 1
# x2p1  : x-Koordinate der 2. Lage des Koppelpunktes 1
# y2p1  : y-Koordinate der 2. Lage des Koppelpunktes 1
# x1p2  : x-Koordinate der 1. Lage des Koppelpunktes 2
# y1p2  : y-Koordinate der 1. Lage des Koppelpunktes 2
# x2p2  : x-Koordinate der 2. Lage des Koppelpunktes 2
# y2p2  : y-Koordinate der 2. Lage des Koppelpunktes 2
# ....s : 1. Ableitung der Gre ohne 's'
# dm1   : Steigung der Mittelsenkrechten zu Geraden
#         durch die beiden Lagen des Koppelpunktes 1
# dm2   : Steigung der Mittelsenkrechten zu Geraden
#         durch die beiden Lagen des Koppelpunktes 2
# b1    : Ordinatenschnittpunkt der Mittelsenkrechten zu Geraden
#         durch die beiden Lagen des Koppelpunktes 1
# b2    : Ordinatenschnittpunkt der Mittelsenkrechten zu Geraden
#         durch die beiden Lagen des Koppelpunktes 2
# xdp   : x-Koordinate des Schnittpunktes
# eps   : Grenzwert: Zahlen, die kleiner als diese Zahl sind, werden,
#                    wenn sie im Nenner stehen, als 0 angesehen
# xdps  : Ableitung der x-Koordinate des Schnittpunktes
# ydps  : Ableitung der y-Koordinate des Schnittpunktes
# ierr  : Kennzahl
#         ierr=0: Es trat kein Fehler auf
#         ierr=1: y-Koordinaten von Geraden durch Koppelpunkt1 in
#                 beiden Lagen identisch
#         ierr=2: y-Koordinaten von Geraden durch Koppelpunkt2 in
#                 beiden Lagen identisch
#         ierr=3: Steigung beider Mittelsenkrechten der Geraden durch
#                 beide Lagen des Koppelpunktes 1 bzw. 2 sind identisch
#..................................................................
#..................................................................
    set ierr 0

    set u [expr $x2p1-$x1p1]
    set us $x2p1s
    set v [expr $y1p1-$y2p1]
    set vs [expr -1.*$y2p1s]
    if {[expr abs($v)] > $eps} then {
        set dm1s [expr ($us*$v-$u*$vs)/($v*$v)]
    } else {
        set ierr 1
        return $ierr
    }

    set b1s [expr 0.5*$y2p1s-$dm1s*($x1p1+($x2p1-$x1p1)/2.0)-$dm1*0.5*$x2p1s]

    set u [expr $x2p2-$x1p2]
    set us $x2p2s
    set v [expr $y1p2-$y2p2]
    set vs [expr -1.*$y2p2s]
    if {[expr abs($v)] > $eps} then {
        set dm2s [expr ($us*$v-$u*$vs)/($v*$v)]
    } else {
        set ierr 2
        return $ierr
    }

    set b2s [expr 0.5*$y2p2s-$dm2s*($x1p2+($x2p2-$x1p2)/2.0)-$dm1*0.5*$x2p2s]

    set u [expr $b1-$b2]
    set us [expr $b1s-$b2s]
    set v [expr $dm2-$dm1]
    set vs [expr $dm2s-$dm1s]

    if {[expr abs($v)] > $eps} then {
        set xdps [expr ($us*$v-$u*$vs)/($v*$v)]
    } else {
        set ierr 3
        return $ierr
    }

    set ydps [expr $dm1s*$xdp+$dm1*$xdps+$b1s]

    return $ierr
}
###############################################################################
# Pruefen, ob letztes Ergebnis in Ordnung ist

proc pruef_ergebnis {$weg_step_old $eps_step lges_k_} {

    upvar $lges_k_ lges_k

# geg.: weg_step_old,eps_step
# ges.: ierr

# weg_step_old: Schrittweite (default)
# eps_step:     durchschnittliche Schrittweite
# ierr: Kennzahl
#       ierr=0 --> Ergebnis ist ok
#       ierr=1 --> Ergebnis deutet auf einen Sprung hin
#       ierr=2 --> Ergebnis deutet darauf hin, da bergangskurvenpunkt
#                  und Momentanpol identisch sind
#       ierr=1 --> Ergebnis deutet auf eine Spitze der bergangskurve
#................................................................
#................................................................

    common /kue_felder/ lges_k1
    common /kue_felder/ lges_k,cwloes1(0:nmk),cwloes2(0:nmk)

    set ierr 1

c Pruefen, ob Weg die letzten beiden Lsungen keinen Sprung aufweisen
    if {$lges_k >= [expr 3+$lges_k1]} then {
        if (dabs(weg_step_old)*10d0.lt.
 +      dabs(cwloes1(mod(lges_k,nmk))-cwloes1(mod(lges_k-1,nmk)))
 +      .or.dabs(weg_step_old)*10d0.lt.
 +      dabs(cwloes2(mod(lges_k,nmk))-cwloes2(mod(lges_k-1,nmk))))
 +      then
            lges_k=lges_k-1
        else
            ierr=0
        end if
    } else {
        ierr=0
    }
    if {$ierr != 0} then {
        return
    }

c Prfen, ob Weg1 und Weg 2 nicht ber mehrere Sttzstellen identisch
c ist

    ianz=0
    if (lges_k.ge.5+lges_k1) then
        do i=lges_k,lges_k-3,-1
            if (dabs(cwloes2(mod(i,nmk))-cwloes1(mod(i,nmk))).lt.
 +          eps_step/10d0) then
                ianz=ianz+1
            end if
        end do
    end if

    if (ianz.ge.3) then
        lges_k=lges_k-3
        ierr=2
        return $ierr
    end if

c Prfen, ob Spitze einer bergangskurve durchfahren wird
    if (lges_k.ge.3+lges_k1) then
        dmax=
 +        dmax1(cwloes2(mod(lges_k,nmk)),cwloes2(mod(lges_k-1,nmk)))
        dmin=
 +        dmin1(cwloes2(mod(lges_k,nmk)),cwloes2(mod(lges_k-1,nmk)))
        if(dmax.ge.cwloes1(mod(lges_k,nmk)).and.
 +      dmin.le.cwloes1(mod(lges_k,nmk))) then
            ierr=3
            return $ierr
        end if
        dmax=
 +        dmax1(cwloes1(mod(lges_k,nmk)),cwloes1(mod(lges_k-1,nmk)))
        dmin=
 +        dmin1(cwloes1(mod(lges_k,nmk)),cwloes1(mod(lges_k-1,nmk)))
        if(dmax.ge.cwloes2(mod(lges_k,nmk)).and.
 +      dmin.le.cwloes2(mod(lges_k,nmk))) then
            ierr=3
            return $ierr
        end if
    end if

    return $ierr
}
#########################################################################
proc speicher_werte {lges_k_ xdp ydp xg1 yg1 xg2 yg2} {

    upvar $lges_k_ lges_k

    global phi1 phi2
    global x1p1 y1p1 x1p2 y1p2 x2p1 y2p1 x2p2 y2p2
    global xUgK yUgK xRpK1 yRpK1 xRpK2 yRpK2
    global k_vertauscht k_neu
    global drad

    if {[info exists k_neu] == 0} then {
        set k_neu 1
    }
    puts k_neu=$k_neu

    if {$k_vertauscht == -2} then {
        set k_neu 2
        set k_vertauscht 0
    }

    if {$k_neu == 2} then {
        set k_neu 0
    } elseif {$k_neu == 1} then {
        set k_neu 0
        set lges_k 0
    }
    incr lges_k

    #set phi1 [expr atan2($y1p1,$x1p1)/$drad]
    #set phi2 [expr atan2($y2p1,$x2p1)/$drad]
    if {[expr $x1p1*$xg1] >= 0} then {
        set phi1 [expr atan2($yg1,$xg1)/$drad]
    } else {
        set phi1 [expr atan2($yg1,$xg1)/$drad-180]
    }
    if {[expr $x2p1*$xg2] >= 0} then {
        set phi2 [expr atan2($yg2,$xg2)/$drad]
    } else {
        set phi2 [expr atan2($yg2,$xg2)/$drad-180]
    }
    VChangeGetrLaengen

    set list [trans8_x_xs_2p $x1p1 $y1p1 $x1p2 $y1p2 $xdp $ydp]
    set xUgK(1,$lges_k) [lrange $list 0 0]
    set yUgK(1,$lges_k) [lrange $list 1 1]
    set xUgK(0,0) 1
    set xUgK(1,0) $lges_k
    VShowGangpolkurve xUgK yUgK UgK red red line 0
    set list [trans8_x_xs_2p $x1p1 $y1p1 $x1p2 $y1p2 $xg1 $yg1]
    set xRpK1(1,$lges_k) [lrange $list 0 0]
    set yRpK1(1,$lges_k) [lrange $list 1 1]
    set list [trans8_x_xs_2p $x2p1 $y2p1 $x2p2 $y2p2 $xg2 $yg2]
    set xRpK2(1,$lges_k) [lrange $list 0 0]
    set yRpK2(1,$lges_k) [lrange $list 1 1]
    puts "x1p1=$x1p1,y1p1=$y1p1,x2p1=$x2p1,y2p1=$y2p1"
    puts "xdp=$xdp,ydp=$ydp,xg1=$xg1,yg1=$yg1,xg2=$xg2,yg2=$yg2"
}
##############################################################################
global lgesOhneParallelLage calcKue k_vertauscht k_neu kbiOhneParallelLage dpfhiOhneParallelLage

set calcKue 1
set k_vertauscht 0
set k_neu 1

set is1 7
set is2 [expr $lgesOhneParallelLage -10]
set is2 187
puts is1=$is1,is2=$is2
puts "Phi($is1)=$dpfhiOhneParallelLage($is1), kb=$kbOhneParallelLage($is1)"
puts "Phi($is2)=$dpfhiOhneParallelLage($is2), kb=$kbOhneParallelLage($is2)"
set ivorz 1
kue xk1_df yk1_df xk2_df yk2_df $lgesOhneParallelLage $is1 $is2 $ivorz
